偶然看到别人写的一句代码:

<?php

if (version_compare("5.2", PHP_VERSION, ">")) {
     die("PHP 5.2 or greater is required!!!");
 }

?>

发现获取PHP的版本信息原来这么简单~~~ PHP_VERSION是一个常量,他就能获得PHP版本信息。 version_compare是一个版本比较工具,当然也可以作为其他的版本比较工具:

<?php
 if (version_compare(PHP_VERSION, '6.0.0') >= 0) {
     echo 'I am at least PHP version 6.0.0, my version: ' . PHP_VERSION . "n";
 }
 
 if (version_compare(PHP_VERSION, '5.3.0') >= 0) {
     echo 'I am at least PHP version 5.3.0, my version: ' . PHP_VERSION . "n";
 }
 
 if (version_compare(PHP_VERSION, '5.0.0', '>=')) {
     echo 'I am using PHP 5, my version: ' . PHP_VERSION . "n";
 }
 
 if (version_compare(PHP_VERSION, '5.0.0', '<')) {
     echo 'I am using PHP 4, my version: ' . PHP_VERSION . "n";
 }
 ?> 

自由转载,转载请注明: 转载自WEB开发笔记 www.chhua.com

本文链接地址: 获得PHP版本信息及版本比较 http://www.chhua.com/web-note5311

随机笔记

更多